## org.w3c.www.protocol.http
Interface PropRequestFilter

All Known Implementing Classes:
  DebugFilter, AuthFilter, CacheFilter, CookieFilter, ICPFilter, MICPFilter, ProxyDispatcher

public interface PropRequestFilter
extends RequestFilter

The PropRequestFilter interface. This interface extends the basic requestFilter interface, in order to allow the implementing filters to be set through the `org.w3c.www.protocol.http.filters` property.

To set a PropRequestFilter through this property, you just need to define the property to a `|` separated list of PropRequestFilter compatible class. Upon initialization, the HttpManager will read this property value, and `initialize` all these filters in the global scope.

Method Summary
`void` `initialize(HttpManager manager)` Initialize this filter, using the provided manager.

Methods inherited from interface org.w3c.www.protocol.http.RequestFilter
`exceptionFilter, ingoingFilter, outgoingFilter, sync`

Method Detail

### initialize

    public void initialize(HttpManager manager)
                    throws PropRequestFilterException

  Initialize this filter, using the provided manager. During initialization, it is up to the filter to install itself in the manager, by invoking the appropriate `setFilter` method.
  Parameters:
    `manager` - The HttpManager initializing the filter.
  Throws:
    PropRequestFilterException - If the filter couldn't be initialized properly.